- Home
- API Enriched
- Shape
- shape
- Insight Bad Bot Reduction.
Insight Bad Bot Reduction.
POST
/api/shape/bot/namespaces/{namespace}/reporting/insight/event/bad-bot-reduction
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/bot/namespaces/example/reporting/insight/event/bad-bot-reduction';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"date":"example","namespace":"example","region":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/bot/namespaces/example/reporting/insight/event/bad-bot-reduction \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "date": "example", "namespace": "example", "region": "example" }'Insight Bad Bot Reduction.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”namespace
required
string
Namespace
x-required Namespace.
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
Insight Request
Insight Request.
object
date
Date
Date Format: YYYY/MM/DD.
string
namespace
Namespace
Namespace
string
region
Region
Region
string
Examplegenerated
{ "date": "example", "namespace": "example", "region": "example"}Responses
Section titled “Responses”A successful response.
Media typeapplication/json
Insight Bad Bot Reduction Response
Insight Bad Bot Reduction Response.
object
create_date
Create Date
UTC Create Date in seconds.
number format: double
reduction
Reduction
Reduction
number format: double
time_series_data
Time Series Data
Time Series Data.
Array<object>
Time Series DataTime Series Data.
object
count
Count
Number of items or occurrences
string format: uint64
percentage
Percentage
Percentage.
number format: double
timestamp
Timestamp
UTC timestamp in seconds.
number format: double
Examplegenerated
{ "create_date": 1, "reduction": 1, "time_series_data": [ { "count": "example", "percentage": 1, "timestamp": 1 } ]}Returned when operation is not authorized.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when there is no permission to access resource.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when resource is not found.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when server encountered an error in processing API.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when service is unavailable temporarily.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when server timed out processing request.
Media typeapplication/json
string format: string
Examplegenerated
example